package res_m

import (
	"git.hilo.cn/hilo-common/domain"
	"git.hilo.cn/hilo-common/resource/mysql"
	"hilo-group/myerr"
)

type ResCode struct {
	mysql.Entity
	*domain.Model `gorm:"-"`
	Code          string
}

/**
 * true: 不存在成功， false: 已存在，不成功
 */
func CheckCode(model *domain.Model, code string) (bool, error) {
	var n int64
	if err := model.Db.Model(&ResCode{
		Code: code,
	}).Count(&n).Error; err != nil {
		return false, myerr.WrapErr(err)
	}
	if n == 0 {
		return true, nil
	} else {
		return false, nil
	}
}
